import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
});
const task = await client.tasks.create({
description: 'The user wants to block their credit card',
title: 'Credit Card Block',
});
console.log(task.task);{
"task": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"title": "Credit Card Block",
"description": "Wants to block their credit card",
"type": "NORMAL",
"status": "ACTIVE",
"passRate": 66,
"monitoringPassRate": 80,
"inputExamples": [
"I want to block my credit card"
],
"evalDefinitions": [
{
"evalDefinition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"type": "NATURALNESS",
"name": "<string>",
"globalConfig": {
"criterion": "<string>"
},
"styleGuideId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"title": "Customer Support Bot",
"slug": "customer-support-bot",
"description": "AI assistant for customer support inquiries",
"context": "You are a helpful customer support assistant...",
"language": "en",
"type": "CHATBOT",
"environment": "DEV",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z"
}
},
"config": {
"expected": "<string>"
}
}
],
"metadata": {
"customerId": "1",
"priority": "high"
},
"traceId": "123e4567-e89b-12d3-a456-426614174000",
"parentId": "456e7890-e89b-12d3-a456-426614174000",
"lastTest": "2024-01-01T00:00:00.000Z",
"simulatedPromptSchema": {
"type": "object",
"properties": {
"intent": {
"type": "string"
},
"urgency": {
"type": "string",
"enum": [
"low",
"medium",
"high"
]
}
},
"required": [
"intent"
]
},
"taskSchedule": {
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"criticality": "LOW",
"cron": "<string>",
"nextRunAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z"
},
"topicId": "789e4567-e89b-12d3-a456-426614174000"
}
}Creates a new task.
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
});
const task = await client.tasks.create({
description: 'The user wants to block their credit card',
title: 'Credit Card Block',
});
console.log(task.task);{
"task": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"title": "Credit Card Block",
"description": "Wants to block their credit card",
"type": "NORMAL",
"status": "ACTIVE",
"passRate": 66,
"monitoringPassRate": 80,
"inputExamples": [
"I want to block my credit card"
],
"evalDefinitions": [
{
"evalDefinition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"type": "NATURALNESS",
"name": "<string>",
"globalConfig": {
"criterion": "<string>"
},
"styleGuideId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"title": "Customer Support Bot",
"slug": "customer-support-bot",
"description": "AI assistant for customer support inquiries",
"context": "You are a helpful customer support assistant...",
"language": "en",
"type": "CHATBOT",
"environment": "DEV",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z"
}
},
"config": {
"expected": "<string>"
}
}
],
"metadata": {
"customerId": "1",
"priority": "high"
},
"traceId": "123e4567-e89b-12d3-a456-426614174000",
"parentId": "456e7890-e89b-12d3-a456-426614174000",
"lastTest": "2024-01-01T00:00:00.000Z",
"simulatedPromptSchema": {
"type": "object",
"properties": {
"intent": {
"type": "string"
},
"urgency": {
"type": "string",
"enum": [
"low",
"medium",
"high"
]
}
},
"required": [
"intent"
]
},
"taskSchedule": {
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"criticality": "LOW",
"cron": "<string>",
"nextRunAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z"
},
"topicId": "789e4567-e89b-12d3-a456-426614174000"
}
}Your unique Avido API key
Your unique Avido Application ID
Request body for creating a new task
The title of the task
1"Credit Card Block"
A short description of the task
1"The user wants to block their credit card"
The type of task
STATIC, NORMAL "NORMAL"
ID of the topic this task belongs to
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"789e4567-e89b-12d3-a456-426614174000"
Optional metadata to associate with the task when creating it (e.g., external identifiers).
Show child attributes
{ "customerId": "1", "priority": "high" }JSON schema that defines the structure for user prompts that should be generated for tests
Show child attributes
{
"type": "object",
"properties": {
"intent": { "type": "string" },
"urgency": {
"type": "string",
"enum": ["low", "medium", "high"]
}
},
"required": ["intent"]
}Successfully created task
Successful response containing the task data
A task that represents a specific job-to-be-done by the LLM in the user application.
Show child attributes